﻿@using System.Web.UI.WebControls;
@using Portal.Models.DailyOrder;



    <table width="100%">
        <tr>
            <td></td>
            <td align="right">
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnUpdateQuantity";
                    settings.Text = "Update Order Qty";
                    settings.Width = 110;
                    settings.UseSubmitBehavior = true;
                }
                ).GetHtml()
            </td>
            <td align="right">
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnNewOrderQuantity";
                    settings.Text = "New Order Qty";
                    settings.Width = 110;
                    settings.UseSubmitBehavior = true;
                }
                ).GetHtml()                
            </td>
        </tr>
    </table>

@Html.DevExpress().GridView(
        setting =>
        {
            setting.Name = "OrderDetail_" + ViewData["SupplierCode"];
            setting.SettingsDetail.MasterGridName = "OrderDetail";
            setting.Name = "DetailOrderDataGrid";
            setting.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
            setting.Width = Unit.Percentage(100);

            setting.CallbackRouteValues = new { Controller = "DailyOrder", Action = "OrderSubDetailGrid", ID = ViewData["SupplierCode"] };
            setting.KeyFieldName = "Part_Number";
            setting.Settings.VerticalScrollBarMode = ScrollBarMode.Hidden;
            setting.Settings.VerticalScrollableHeight = 250;
            setting.SettingsPager.Position = PagerPosition.Bottom;
            setting.SettingsPager.FirstPageButton.Visible = true;
            setting.SettingsPager.LastPageButton.Visible = true;
            setting.Settings.ShowFilterRow = true;
            setting.Settings.ShowFilterRowMenu = true;
            setting.CommandColumn.Visible = true;
            setting.CommandColumn.ClearFilterButton.Visible = true;

            setting.SettingsPager.PageSizeItemSettings.Visible = true;
            setting.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
            setting.SettingsPager.PageSizeItemSettings.Caption = "Page size";

            setting.Columns.Add("Part_Number", "Part Number");
            setting.Columns["Part_Number"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
            setting.Columns.Add("Part_Name", "Part Name");
            setting.Columns["Part_Name"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
            setting.Columns.Add("Order_Qty", "Order Qty");
            setting.Columns["Order_Qty"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
            setting.Columns.Add("Qty_Lot", "Qty Lot");
            setting.Columns["Qty_Lot"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
            setting.Columns.Add(
                column =>
                {
                    column.FieldName = "Qty_Per_Container";
                    column.Caption = "Qty Per Container";
                    column.ColumnType = MVCxGridViewColumnType.ComboBox;
                    var comboBoxProperties = column.PropertiesEdit as ComboBoxProperties;
                    comboBoxProperties.TextField = "Qty_Per_Container";
                    comboBoxProperties.ValueField = "Qty_Per_Container";
                    comboBoxProperties.ValueType = typeof(string);
                });
            setting.Columns["Qty_Per_Container"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
        }).Bind(Model.GetModel<DailyOrderModel>().OrderDetails).GetHtml()